hosting

DELETE /v1/sites/{siteId}/error-pages/{status}

Remove the custom page for one status code.

Tutti gli endpoint hosting

Autenticazione

Invia una chiave API come token di tipo bearer. La chiave deve disporre dell'autorizzazione sites.panel_access; una chiave sprovvista di tale autorizzazione viene rifiutata con 403 anziché 404.

Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.

Provalo

Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.

curl -X DELETE https://api.zinndigital.com/v1/sites/{siteId}/error-pages/{status} \
  -H "Authorization: Bearer zdk_live_…"

Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API

Dettagli

Idempotent: a status with no rule is a `200`, not a `404`. The caller asked for it to be gone and it is gone, so a retry after a timeout succeeds rather than confusing somebody. Requires `sites.panel_access`.

Parametri

NomeTipoObbligatorioChe cos'è
siteId (path)UuidSite ID (UUIDv7).
status (path)integerThe HTTP status code whose custom page is being removed.

Risposta

NomeTipoObbligatorioChe cos'è
dataSiteErrorPage[]

Errori che questo endpoint può restituire

401 · 403 · 404 · 429 · 503